Bufferless< T > Class Template Reference

Base class for bufferless filters. More...

`#include <simple.h>`

Inheritance diagram for Bufferless< T >:

## Public Member Functions

bool | IsolatedFlush (bool hardFlush, bool blocking)
| Flushes data buffered by this object, without signal propagation.

## Detailed Description

template<class T>
class Bufferless< T >

Base class for bufferless filters.

Template Parameters

  T | the class or type

Definition at line 119 of file simple.h.

## Member Function Documentation

## IsolatedFlush()

template<class T >

bool Bufferless< T >::IsolatedFlush | ( | bool | hardFlush,
|  | bool | blocking
| ) |  |

inline

Flushes data buffered by this object, without signal propagation.

Parameters

  hardFlush | indicates whether all data should be flushed
  blocking | specifies whether the object should block when processing input

Note
  hardFlush must be used with care

Definition at line 126 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h